require 'spec_helper'

describe "RSVP Request API ", :type => :api do

  subject { page }

  before(:each) do
    MusicSession.delete_all
  end

  describe "index" do
    it "should prevent request without session ID" do
    end

    it "should allow session creator to view all" do
    end

    it "should allow RSVP creator to view only his list" do
    end

    it "should allow others to view list" do
    end
  end


  describe "create" do
    it "should allow session invitee to create RSVP" do
    end

    it "should not allow non-invitee to create RSVP" do
    end

    it "should require at least 1 slot selection" do
    end

    it "should prevent RSVP for chosen slot" do
    end
  end

  describe "update" do
    it "should allow session creator to approve RSVP request" do
    end

    it "should not allow RSVP creator to approve RSVP request" do
    end
  end

  describe "show" do
    it "should allow RSVP creator to view" do
    end

    it "should allow session creator to view" do
    end

    it "should allow anyone else to view" do
    end
  end

  describe "destroy" do
    it "should allow RSVP creator to cancel" do
    end

    it "should allow session creator to cancel" do
    end

    it "should not allow anyone else to cancel" do
    end

    it "should set chosen to false on all slots" do
    end
  end

end